Get Collection Info
curl --request GET \
--url https://api.inprocess.world/api/collections/{network}/{contract}import requests
url = "https://api.inprocess.world/api/collections/{network}/{contract}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/collections/{network}/{contract}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inprocess.world/api/collections/{network}/{contract}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inprocess.world/api/collections/{network}/{contract}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inprocess.world/api/collections/{network}/{contract}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inprocess.world/api/collections/{network}/{contract}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"chain_id": 123,
"name": "<string>",
"uri": "<string>",
"creator": {
"address": "<string>",
"username": "<string>"
},
"admins": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"protocol": "in_process",
"metadata": {
"name": "<string>",
"image": "<string>",
"description": "<string>",
"content": {
"mime": "<string>",
"uri": "<string>"
}
}
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Collections
Get a collection
Retrieve detailed information about a Collection on the In•Process protocol, including collection metadata, creator, admins, and timestamps.
Uses CAIP-2 for the network segment and a CAIP-style asset reference for the contract segment:
network:eip155:{chainId}(e.g.eip155:8453for Base)contract:erc1155:{address}(e.g.erc1155:0xabc...)
This is a public endpoint and does not require authentication.
GET
/
collections
/
{network}
/
{contract}
Get Collection Info
curl --request GET \
--url https://api.inprocess.world/api/collections/{network}/{contract}import requests
url = "https://api.inprocess.world/api/collections/{network}/{contract}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/collections/{network}/{contract}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.inprocess.world/api/collections/{network}/{contract}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.inprocess.world/api/collections/{network}/{contract}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.inprocess.world/api/collections/{network}/{contract}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.inprocess.world/api/collections/{network}/{contract}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "<string>",
"chain_id": 123,
"name": "<string>",
"uri": "<string>",
"creator": {
"address": "<string>",
"username": "<string>"
},
"admins": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"protocol": "in_process",
"metadata": {
"name": "<string>",
"image": "<string>",
"description": "<string>",
"content": {
"mime": "<string>",
"uri": "<string>"
}
}
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"message": "<string>",
"status": "error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Path Parameters
Response
Successful response